Debian DSA-4546-1 : openjdk-11 - security update

medium Nessus Plugin ID 130134

Synopsis

The remote Debian host is missing a security-related update.

Description

Several vulnerabilities have been discovered in the OpenJDK Java runtime, resulting in cross-site scripting, denial of service, information disclosure or Kerberos user impersonation.

Solution

Upgrade the openjdk-11 packages.

For the stable distribution (buster), these problems have been fixed in version 11_11.0.5+10-1~deb10u1.

See Also

https://security-tracker.debian.org/tracker/source-package/openjdk-11

https://packages.debian.org/source/buster/openjdk-11

https://www.debian.org/security/2019/dsa-4546

Plugin Details

Severity: Medium

ID: 130134

File Name: debian_DSA-4546.nasl

Version: 1.4

Type: local

Agent: unix

Published: 10/22/2019

Updated: 5/18/2022

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2019-2977

CVSS v3

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*, p-cpe:2.3:a:debian:debian_linux:openjdk-11:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 10/20/2019

Vulnerability Publication Date: 10/16/2019

Reference Information

CVE: CVE-2019-2894, CVE-2019-2945, CVE-2019-2949, CVE-2019-2962, CVE-2019-2964, CVE-2019-2973, CVE-2019-2975, CVE-2019-2977, CVE-2019-2978, CVE-2019-2981, CVE-2019-2983, CVE-2019-2987, CVE-2019-2988, CVE-2019-2989, CVE-2019-2992, CVE-2019-2999

DSA: 4546